using Application.Abstractions.Messaging;

namespace Application.Features.Admin.Forum.BoardPrefix.Save;

public sealed record Command(
    int BoardID,
    Command.Create? NewItem,
    IReadOnlyList<Command.Update>? Updates,
    int[]? DeleteIDs
) : ICommand
{
    public sealed record Create(
        string Name,
        string? Color,
        short Order
    );

    public sealed record Update(
        int ID,
        string Name,
        string? Color,
        short Order,
        bool IsActive
    );
}